In developing thpsf_logo_rev1e PoshSec Framework and having people attempt to use it on their systems, I realized that there were a few hurdles to get PowerShell primed and ready to use before people could begin to use the PoshSec modules much less the PoshSec Framework. Some of the steps included Unblocking files, Setting Execution Policy, and Updating the Help. As I encountered these issues, I was sure to update the README.md file on the github repository.

Then I started to think is there a way that I could have the Framework do all of this for the user. That’s when I began work on the First Steps utility that is built in the PoshSec Framework. I have created a video showing you how the utility works on a freshly installed VM. Please note, PowerShell 3.0 and .NET 4.0 are still required and unfortunately I can not automate that piece.

Hopefully this utility will help get people’s systems ready to use PowerShell and the PoshSec Framework so they can begin to use the PoshSec and other modules. We have many exciting things in the project timeline. Please feel free to provide feedback on the github page and be watching for the official 1.0 release coming in April of 2014!

Be sure to check out all of the recent changes out on github!

https://github.com/poshsec/poshsecframework

Share →